Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.ml.lib
Class MaltFeatureNode

    java.lang.Object
      org.maltparser.ml.lib.MaltFeatureNode

All Implemented Interfaces:
  Comparable<MaltFeatureNode>

    public class MaltFeatureNode

extends Object
implements Comparable<MaltFeatureNode>

Constructor Summary
`MaltFeatureNode()`
`MaltFeatureNode(int index, double value)`

Method Summary
`void` | `clear()`
`int` | `compareTo(MaltFeatureNode aThat)`
`boolean` | `equals(Object obj)`
`int` | `getIndex()`
`double` | `getValue()`
`int` | `hashCode()`
`void` | `setIndex(int index)`
`void` | `setValue(double value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaltFeatureNode

    public MaltFeatureNode()

### MaltFeatureNode

    public MaltFeatureNode(int index,
                           double value)

Method Detail

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### getValue

    public double getValue()

### setValue

    public void setValue(double value)

### clear

    public void clear()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(MaltFeatureNode aThat)

  Specified by:
    `compareTo` in interface `Comparable<MaltFeatureNode>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.